--- /dev/null
+#!/bin/bash
+set -e
+
+pushd csharp/mutil >/dev/null
+ make mutil.dll
+popd >/dev/null
+
+pushd csharp/mDocLib >/dev/null
+ make mdoclib.dll
+popd >/dev/null
+
+pushd csharp/mDoc >/dev/null
+ make mdoc.exe
+popd >/dev/null
+
--- /dev/null
+mdoc (0.1-%BUILD%) unstable; urgency=medium
+ * C# port for mmailc
+ -- Michael Wagner <michael@wagnertech.de> Fri, 30 Dec 2022 16:54:48 +0100
+
--- /dev/null
+compile_type=ANY
+compile_target=mdoc
+
+target_type=DEB
+
--- /dev/null
+Source: mdoc
+Section: main
+Priority: optional
+Maintainer: WagnerTech UG <mail@wagnertech.de>
+
+Package: mdoc-tools
+Section: base
+Priority: optional
+Architecture: _DEB_HOST_ARCH
+Depends: mono-runtime
+Description: documentation utilities
+
--- /dev/null
+#!/bin/bash
+set -e
+
+BUILD_DIR=~/build
+mkdir -p $1/usr/lib/mdoc-tools
+cp $BUILD_DIR/csharp/mutil/mutil.dll $1/usr/lib/mdoc-tools
+cp $BUILD_DIR/csharp/mDocLib/mdoclib.dll $1/usr/lib/mdoc-tools
+cp $BUILD_DIR/csharp/mDoc/mdoc.exe $1/usr/lib/mdoc-tools
+mkdir -p $1/usr/bin
+cp csharp/bin/mdoc $1/usr/bin
+
--- /dev/null
+#!/bin/bash
+set -e
+
+pushd csharp/mDoc >/dev/null
+ ln -s /usr/share/mbuild/makefile .
+ echo "SOURCES=\\" >> make.pre
+ find . -name "*.cs" -exec echo " "{}" \\" >> make.pre \;
+ echo >> make.pre
+ echo "CSLIBS = -r:../mDocLib/mdoclib.dll" >> make.pre
+popd >/dev/null
+
+pushd csharp/mutil >/dev/null
+ ln -s /usr/share/mbuild/makefile .
+ echo "SOURCES=\\" >> make.pre
+ find . -name "*.cs" -exec echo " "{}" \\" >> make.pre \;
+ echo >> make.pre
+popd >/dev/null
+
+pushd csharp/mDocLib >/dev/null
+ ln -s /usr/share/mbuild/makefile .
+ echo "SOURCES=\\" >> make.pre
+ find . -name "*.cs" -exec echo " "{}" \\" >> make.pre \;
+ echo >> make.pre
+ echo "CSLIBS = -r:../mutil/mutil.dll" >> make.pre
+popd >/dev/null
+
Hier finden sich Definitionen, die in jeder XML-Tiefe auftreten dürfen
x <hierarchical>
Hier finden sich Definitionen in derselben hierarchischen Ordnung wie im Docbook
-- XML-Tags im Template können das "position"-Attribut haben:
+- XML-Tags unter <global> können das "position"-Attribut haben:
x position="first" positioniert den tpl-Wert vor die weitere Verarbeitung
x Ohne Attribut wird mit der Ausgabe des Docbookinhalts fortgefahren.
Bei der Weiterverarbeitung wird zuerst der (allfällige) Wert des Docbook-Tags ausgegeben,